class Config {

  static get VERSION() {
    return '0.0.1';
  }

  static get LIBRARY_NAME() {
    return 'liveqa';
  }

  static get LANGUAGE() {
    return 'javascript';
  }

  static set HOST(value) {
    this._host = value;
  }

  static get HOST() {
    return this._host || 'https://api.liveqa.io';
  }

  static get API_VERSION() {
    return 'v1';
  }

  static set SNIPPET_VERSION(value) {
    this._snippetVersion = value;
  }

  static get SNIPPET_VERSION() {
    return this._snippetVersion;
  }

  static set API_KEY(value) {
    this._apiKey = value;
  }

  static get API_KEY() {
    return this._apiKey;
  }

  static get IDENTIFIER_COOKIE_NAME() {
    return 'fl_identifier_id';
  }

}

module.exports = Config;
